Bug 1969374 - [OSP] Document how to update domain for image registry in version <4.8 [NEEDINFO]
Summary: [OSP] Document how to update domain for image registry in version <4.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: Mike Fedosin
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-08 10:13 UTC by Mike Fedosin
Modified: 2021-10-18 17:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:33:16 UTC
Target Upstream Version:
suchaudh: needinfo? (mfedosin)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4979 0 None open Bug 1969374: document how to update domain for image registry in versions <4.8 2021-06-08 18:57:09 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:33:36 UTC

Description Mike Fedosin 2021-06-08 10:13:21 UTC
In 4.8 we fixed a bug when image registry operator didn't update domain in its configuration. For all previous versions we need to document a workaround how to solve it properly.

Comment 2 Itzik Brown 2021-07-29 03:25:08 UTC
Verified in: 
4.6.0-0.nightly-2021-07-09-014429
4.7.0-0.nightly-2021-07-28-033356
RHOS-16.1-RHEL-8-20210323.n.0

How I verified:

$ oc get edit -n kube-system openstack-credentials -oyaml 
I changed the value of clouds.yaml  -       user_domain_name: Default to user_domain_name: Default1 (Default1 domain doesn't exist). This was done by first decoding the value in clouds.yaml, changing the user_domain_name and encoding it again (baste64 decoder/encoder)

$ oc get secret -n openshift-image-registry installer-cloud-credentials -oyaml
This had the same user_domain_name: Default1

$ oc get configs.imageregistry.operator.openshift.io/cluster -oyaml
This was still the old one
...
    swift:
      authURL: https://10.46.43.10:13000/v3
      authVersion: "3"
      container: ostest-k6g55-image-registry-tkjpdwqgbsdstkcnklmwnmnypihqwduddy
      domain: Default
...

$ oc patch configs.imageregistry.operator.openshift.io/cluster --type 'json' -p='[{"op": "remove", "path": "/spec/storage/swift/domain"}]'
config.imageregistry.operator.openshift.io/cluster patched


$ oc get configs.imageregistry.operator.openshift.io/cluster -oyaml
This should have the faulty user_domain_name 
...
    swift:
      authURL: https://10.46.43.10:13000/v3
      authVersion: "3"
      container: ostest-k6g55-image-registry-tkjpdwqgbsdstkcnklmwnmnypihqwduddy
      domain: Default1
...

$

Comment 6 errata-xmlrpc 2021-10-18 17:33:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.